Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025928
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2014-03-06 22:232014-03-12 11:09
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version3.0PR14Q2
StatusclosedFix in branchFixed in SCM revision77ee72f489cb
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025928: Error in displayed value of table reference if the search key of the record is null

DescriptionThe following error is raised when we display in the grid a record that uses a table reference with displayed value if the referenced record search key is null:

ERROR org.openbravo.service.json.DefaultJsonDataService -
java.lang.NullPointerException
    at org.openbravo.service.json.DataToJsonConverter.addBaseOBObject(DataToJsonConverter.java:278)

...
Steps To ReproduceIn Description
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00241813.0MP26 closedAugustoMauch In table reference the flag displayed value is not working in grid view 

-  Notes
(0064942)
hgbot (developer)
2014-03-06 23:04

Repository: erp/devel/pi
Changeset: 77ee72f489cbd507805e2a204b0dc5f08fe8efcc
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Thu Mar 06 23:03:43 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/77ee72f489cbd507805e2a204b0dc5f08fe8efcc [^]

fixes issue 25928: Error in displayed value of table
reference if the search key of the record is null

---
M modules/org.openbravo.service.json/src/org/openbravo/service/json/DataToJsonConverter.java
---
(0064963)
hudsonbot (developer)
2014-03-07 17:43

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/dc8b1b6bf2d1 [^]
Maturity status: Test
(0065091)
AugustoMauch (developer)
2014-03-12 11:09

Code reviewed and verified in pi@143dbdd74f2b

- Issue History
Date Modified Username Field Change
2014-03-06 22:23 caristu New Issue
2014-03-06 22:23 caristu Assigned To => AugustoMauch
2014-03-06 22:23 caristu Modules => Core
2014-03-06 22:23 caristu Triggers an Emergency Pack => No
2014-03-06 22:23 caristu Assigned To AugustoMauch => caristu
2014-03-06 22:23 caristu Issue Monitored: networkb
2014-03-06 22:23 caristu Relationship added related to 0024181
2014-03-06 23:04 hgbot Checkin
2014-03-06 23:04 hgbot Note Added: 0064942
2014-03-06 23:04 hgbot Status new => resolved
2014-03-06 23:04 hgbot Resolution open => fixed
2014-03-06 23:04 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/77ee72f489cbd507805e2a204b0dc5f08fe8efcc [^]
2014-03-07 17:43 hudsonbot Checkin
2014-03-07 17:43 hudsonbot Note Added: 0064963
2014-03-12 11:09 AugustoMauch Review Assigned To => AugustoMauch
2014-03-12 11:09 AugustoMauch Note Added: 0065091
2014-03-12 11:09 AugustoMauch Status resolved => closed
2014-03-12 11:09 AugustoMauch Fixed in Version => PR14Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker